Filter by workflow name or id













Workflows Runs Endpoints
Workflows API - runs.












Examples
Real world code examples
List Runs
GET /v1/workflows/runs#
List Runs
workflow_identifier#
root_execution_id#
Filter by root execution id; returns the whole execution tree (the root and all its descendant sub-workflows).
search#
Search by workflow name, display name, or ID
status#
Filter by workflow status
deployment_name#
Filter by deployment name
sort_by#
Field to sort by
order#
Sort direction
start_time_after#
Include runs with start_time >= value
start_time_before#
Include runs with start_time <= value
end_time_after#
Include runs with end_time >= value. Running executions (no end_time) are excluded; use the status filter to include them.
end_time_before#
Include runs with end_time <= value. Running executions (no end_time) are excluded; use the status filter to include them.
user_id#
Filter by user id. Use 'current' to filter by the authenticated user
workflow_tags#
Filter to runs of workflows tagged with all listed tags (AND).
include_internal#
Include runs of internal/technical workflows (e.g. parallel-execution)
page_size#
Number of items per page
next_page_token#
Token for the next page of results
search_key#
Filter executions by search key as repeated entries (max 3, AND'd together). 'key
' matches a similar value, 'key==' matches the exact value, a bare 'key' matches executions that have the key set at all, and 'key==' matches executions whose value for the key is null.200
Successful Response
next_page_token#
Token to use for fetching the next page of results. Null if this is the last page.
Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.listRuns({});
for await (const page of result) {
console.log(page);
}
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.listRuns({});
for await (const page of result) {
console.log(page);
}
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.list_runs(order="desc", include_internal=True, page_size=50)
while res is not None:
# Handle items
res = res.next()
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.list_runs(order="desc", include_internal=True, page_size=50)
while res is not None:
# Handle items
res = res.next()
curl https://api.mistral.ai/v1/workflows/runs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"executions": [
{
"end_time": null,
"execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"start_time": "2025-12-17T10:25:07.818693Z",
"status": "RUNNING",
"workflow_name": "support-workflow"
}
]
}{
"executions": [
{
"end_time": null,
"execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"start_time": "2025-12-17T10:25:07.818693Z",
"status": "RUNNING",
"workflow_name": "support-workflow"
}
]
}Get Run
GET /v1/workflows/runs/{run_id}#
Get Run
200
Successful Response
deployment_name#
The name of the deployment that ran this execution
The end time of the workflow execution, if available
parent_execution_id#
The parent execution ID of the workflow execution
The result of the workflow execution, if available
search_keys#
The execution's search keys (metadata), if requested via include_search_keys.
status#
The status of the workflow execution
total_duration_ms#
The total duration of the trace in milliseconds
workflow_id#
The ID of the workflow
Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.getRun({
runId: "553b071e-3d04-46aa-aa9a-0fca61dc60fa",
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.getRun({
runId: "553b071e-3d04-46aa-aa9a-0fca61dc60fa",
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.get_run(run_id="553b071e-3d04-46aa-aa9a-0fca61dc60fa")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.get_run(run_id="553b071e-3d04-46aa-aa9a-0fca61dc60fa")
# Handle response
print(res)
curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"end_time": null,
"execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"result": null,
"root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"start_time": "2025-12-17T10:25:07.818693Z",
"status": "RUNNING",
"workflow_name": "support-workflow"
}{
"end_time": null,
"execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"result": null,
"root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"start_time": "2025-12-17T10:25:07.818693Z",
"status": "RUNNING",
"workflow_name": "support-workflow"
}Get Run History
GET /v1/workflows/runs/{run_id}/history#
Get Run History
200
Successful Response
Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.getRunHistory({
runId: "f7296489-0212-4239-9e35-12fabfe8cd11",
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.workflows.runs.getRunHistory({
runId: "f7296489-0212-4239-9e35-12fabfe8cd11",
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.get_run_history(run_id="f7296489-0212-4239-9e35-12fabfe8cd11", decode_payloads=True)
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.workflows.runs.get_run_history(run_id="f7296489-0212-4239-9e35-12fabfe8cd11", decode_payloads=True)
# Handle response
print(res)
curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnull